APINetwork management

Set primary allocation

Sets the specified allocation as the primary allocation for the server

Sets the specified allocation as the primary allocation for the server

POST
/api/client/servers/{server}/network/allocations/{allocation}/primary

Authorization

bearerAuth
AuthorizationBearer <token>

Enter your API token in the format: Bearer {token}

In: header

Path Parameters

server*string

Server UUID

Formatuuid
allocation*integer

Allocation ID

Response Body

application/json

curl -X POST "https://example.com/api/client/servers/497f6eca-6276-4993-bfeb-53cbbbba6f08/network/allocations/0/primary"
{
  "object": "allocation",
  "attributes": {
    "id": 0,
    "ip": "string",
    "ip_alias": "string",
    "port": 0,
    "notes": "string",
    "is_default": true
  }
}
Empty
Empty
Empty
Empty